cURL
curl --request POST \
--url https://app.textql.com/v2/chats/{chat_id}/cells/stream \
--header 'Content-Type: application/json' \
--header 'tql_api_key: <api-key>' \
--data '
{
"latestCompleteCellId": "<string>",
"research": true,
"fastMode": true,
"maxThinking": true
}
'import requests
url = "https://app.textql.com/v2/chats/{chat_id}/cells/stream"
payload = {
"latestCompleteCellId": "<string>",
"research": True,
"fastMode": True,
"maxThinking": True
}
headers = {
"tql_api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {tql_api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
latestCompleteCellId: '<string>',
research: true,
fastMode: true,
maxThinking: true
})
};
fetch('https://app.textql.com/v2/chats/{chat_id}/cells/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"ansCell": {
"content": "<string>",
"images": [
{
"name": "<string>",
"url": "<string>"
}
],
"sql": [
{
"toolId": "<string>"
}
]
},
"id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"complete": true,
"generated": true,
"toolCallId": "<string>",
"execError": "<string>",
"senderMemberId": "<string>",
"toolSummary": "<string>",
"durationMs": "<unknown>"
},
"error": {
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Chat Service
Stream Chat
POST
/
v2
/
chats
/
{chat_id}
/
cells
/
stream
cURL
Authorizations
Path Parameters
Body
application/json
Available options:
MODEL_UNKNOWN, MODEL_DEFAULT_SMALL, MODEL_DEFAULT, MODEL_DEFAULT_LARGE, MODEL_DEFAULT_REASONING, MODEL_HAIKU_4_5, MODEL_OPUS_4_8, MODEL_FABLE_5, MODEL_SONNET_5, MODEL_GPT_5_6_SOL, MODEL_GEMINI_3_FLASH, MODEL_GEMINI_3_PRO, MODEL_GEMINI_3_1_PRO, MODEL_GEMINI_3_5_FLASH, MODEL_GPT_5_6_TERRA, MODEL_GPT_5_6_LUNA, MODEL_DEEPSEEK_3_2, MODEL_GLM_5, MODEL_VLLM, MODEL_KIMI_K2_6, MODEL_GLM_5_2, MODEL_KIMI_K2_7_CODE, MODEL_QWEN3_7_PLUS, MODEL_MUSE_SPARK_1_1 Response
A successful response.(streaming responses)
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
- Cell
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I